Subject: Re: bug#20432: GDK_SCALE=2 GDK_DPI_SCALE=0.5 destroys GTK+ 3 scroll bar

From: "Felix E. Klee" <[email-masked]>
Date: Thu, 14 May 2015 15:04:22 +0100

On Thu, May 14, 2015 at 2:13 PM, Jan Djärv <[email-masked]> wrote:
> xrandr --scale works fine for me, no need to fiddle with per
> application settings.

Well, that’s what I call a half-baked solution: It means you turn your
screen into a standard-DPI one. For scaling old apps, I wrote Vncdesk:

<https://github.com/feklee/vncdesk>

Another option to make EMACS compatible with HiDPI could be to use a
high resolution icon theme. At the moment, I’ve set `GDK_SCALE=1`, and I
scale the toolbar:

<https://bbs.archlinux.org/viewtopic.php?pid=1523352#p1523352>

I assume other elements can also be scaled. Almost invisible at the
moment are for example checkboxes in `customize`.